#include "common.h"

struct s_ModuleConfig ModuleConfig;

float R_NTC1, R_NTC2, V_AN1, V_AN2, V_AN3, V_AN4;
float V_pv, V_battery, V_3V3;

float T_chip = 0.0;

RTC_DATA_ATTR int wakeups = 0; // RTC_DATA memory remains active in deep sleep

int wifi_mode=0;

unsigned long timeStart = 0;
unsigned long timeAdc = 0;
unsigned long timeConnectWiFi = 0;
unsigned long timeConnectMQTT = 0;
unsigned long timeDone = 0;

void DebugPrintln(String string){
  if(SERIAL_DEBUG){
    Serial.println(string);
  }
}

void DebugPrint(String string){
  if(SERIAL_DEBUG){
    Serial.print(string);
  }
}
